Re: [Linux-ia64] kernel update (relative to 2.5.59)

From: Erich Focht <efocht_at_ess.nec.de>
Date: 2003-01-30 01:06:29
On Saturday 25 January 2003 06:02, David Mosberger wrote:
> Oh, most importantly: you'll need a new assembler in order to use this
> patch.  There was a nasty bug up until Dec 18 last year which
> basically made certain place-relative expressions generate bad data.
> Fortunately, HJ Lu has fixed that bug and I put a read-for-use, static
> binary of a fixed assembler at:
>
> 	ftp://ftp.hpl.hp.com/pub/linux-ia64/gas-030124.tar.gz
>
> As a measure of safety, I added a sanity check which will cause "make"
> to refuse to build a kernel with a buggy assembler.

David,

which gcc are you using? If I replace "as" with yours, I can't even
"make menuconfig" or "make config". Tried with gcc 2.96 (from RedHat
7.2) and a self compiled gcc 3.2. The executable (mconf) fails. If I
compile the kernel with the new "as", it doesn't boot. Am I the only
one having this problem?

Regards,
Erich
Received on Wed Jan 29 06:06:46 2003

This archive was generated by hypermail 2.1.8 : 2005-08-02 09:20:11 EST